%define version 0.0.7
%define release 1mdk

%define req_libggz_version 0.0.7

# (Abel) pick ggzcore library major, seems this looks like the
# more prominent library
#define major 3
#define libname_basic ggz-client
#define libname %mklibname %{libname_basic}

Name:		ggz-client-libs
Summary:	GGZ Client Libraries
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggz.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2

BuildRequires:	libggz-devel >= %{req_libggz_version}
Buildrequires:	popt-devel expat-devel
# (Abel) 0.0.7-1mdk Temporary measure to avoid conflict
Obsoletes:	libggz-client2
Provides:	libggz-client2

%description
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains the shared libraries used by GGZ Gaming Zone
game clients and game modules.

%package	devel
Summary:	Development files for GGZ game clients library
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	libggz-devel >= %{req_libggz_version}
# (Abel) 0.0.7-1mdk Temporary measure to avoid conflict
Obsoletes:	libggz-client2-devel
Provides:	libggz-client2-devel


%description	devel
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains headers and other development files used for
building GGZ Gaming Zone clients or game modules.


%prep
%setup -q

%build
%configure2_5x
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

# owns various directories
mkdir -p %{buildroot}%{_libdir}/ggz \
	 %{buildroot}%{_datadir}/ggz/ggz-config \
	 %{buildroot}%{_datadir}/ggz/pixmaps

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README QuickStart.GGZ README.GGZ
%config(noreplace) %{_sysconfdir}/ggz.modules
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_mandir}/man5/*
%{_mandir}/man6/*
%dir %{_libdir}/ggz
%dir %{_datadir}/ggz
%dir %{_datadir}/ggz/ggz-config
%dir %{_datadir}/ggz/pixmaps

%files devel
%defattr(-,root,root)
%doc COPYING ChangeLog HACKING TODO
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_mandir}/man3/*


%changelog
* Fri Sep  5 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- buildrequires
- owns various shared directories
- undo libdification since older and newer libraries can't coexist
  unless packages are grinded into dust, and this is unworthy because
  not many packages are depending on ggz libraries

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-4mdk
- buildrequires

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Thu Mar 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (libggz-client2/libggz-client2-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5 release

* Sun Jun 17 2001 Rich Gade <rgade@users.sourceforge.net>
- Added manual pages

* Wed Mar 28 2001 Rich Gade <rgade@users.sourceforge.net>
- Corrected spec file to properly install libggzcore as shared

* Tue Mar 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
